Subject: Re: bug#60058: 29.0.60; overlay-lists does not conform to its docstring

From: Stefan Monnier <[email-masked]>
Date: Wed, 14 Dec 2022 09:21:44 -0500

> The problem is not in overlay-lists, IMO, the problem (if there is
> one) is in overlay-recenter: it is a no-op in Emacs 29 and later.

The use of `overlay-recenter` together with `overlay-lists` took me
by surprise.  So yes, I think we should document that `overlay-recenter`
is a no-op.  We should also mark it obsolete.

The code for `symbol-overlay-get-list` should likely use
`overlays-in` instead.

        Stefan